Bugzilla will be upgraded to version 5.0 on a still to be determined date in the near future. The original upgrade date has been delayed.
Bug 591729 - [abrt] crash in epiphany-2.30.2-1.fc13: Process /usr/bin/epiphany was killed by signal 11 (SIGSEGV)
[abrt] crash in epiphany-2.30.2-1.fc13: Process /usr/bin/epiphany was killed ...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: epiphany (Show other bugs)
13
i686 Linux
low Severity medium
: ---
: ---
Assigned To: Gecko Maintainer
Fedora Extras Quality Assurance
abrt_hash:b55afb4e43b8b0aeb14939a9bda...
:
: 595155 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-05-12 18:04 EDT by birger
Modified: 2011-06-27 12:18 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-06-27 12:18:46 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (66.53 KB, text/plain)
2010-05-12 18:04 EDT, birger
no flags Details

  None (edit)
Description birger 2010-05-12 18:04:41 EDT
abrt 1.1.0 detected a crash.

architecture: i686
Attached file: backtrace
cmdline: epiphany
component: epiphany
executable: /usr/bin/epiphany
global_uuid: b55afb4e43b8b0aeb14939a9bdaa46bdf430320c
kernel: 2.6.33.3-85.fc13.i686
package: epiphany-2.30.2-1.fc13
rating: 4
reason: Process /usr/bin/epiphany was killed by signal 11 (SIGSEGV)
release: Fedora release 13 (Goddard)

comment
-----
Open URL https://secure.skandiabanken.no/SkbSecure/Authentication/BankID/Default.aspx and epiphany crashes with following output on command line:

** (epiphany:12216): DEBUG: NP_Initialize
** (epiphany:12216): DEBUG: NP_Initialize succeeded
** (epiphany:12216): DEBUG: NP_Initialize
** (epiphany:12216): DEBUG: NP_Initialize succeeded
** (epiphany:12216): DEBUG: NP_Initialize
** (epiphany:12216): DEBUG: NP_Initialize succeeded
** (epiphany:12216): DEBUG: NP_Initialize
** (epiphany:12216): DEBUG: NP_Initialize succeeded
** (epiphany:12216): DEBUG: NP_Initialize
** (epiphany:12216): DEBUG: NP_Initialize succeeded
** (epiphany:12216): DEBUG: NP_Initialize
** (epiphany:12216): DEBUG: NP_Initialize succeeded
** (epiphany:12216): DEBUG: NP_Initialize
** (epiphany:12216): DEBUG: NP_Initialize succeeded
*** NSPlugin Wrapper *** WARNING:(../src/npw-wrapper.c:3160):invoke_NP_Initialize: assertion failed: (rpc_method_invoke_possible(g_rpc_connection))
** (epiphany:12216): DEBUG: NP_Initialize
** (epiphany:12216): DEBUG: NP_Initialize succeeded
** (epiphany:12216): DEBUG: NP_Shutdown
java version "1.6.0_17"
OpenJDK Runtime Environment (IcedTea6 1.7.1) (fedora-37.b17.fc13-i386)
OpenJDK Client VM (build 14.0-b16, mixed mode)
Segmentation fault (core dumped)


this must be a problem with java, as the applet doesn't start in firefox either. Worked fine in F12.

How to reproduce
-----
1. Open URL https://secure.skandiabanken.no/SkbSecure/Authentication/BankID/Default.aspx
2.
3.
Comment 1 birger 2010-05-12 18:04:44 EDT
Created attachment 413583 [details]
File: backtrace
Comment 2 Karel Klíč 2010-05-25 05:18:35 EDT
*** Bug 595155 has been marked as a duplicate of this bug. ***
Comment 3 Gerard Fernandes 2010-06-05 19:44:05 EDT
Package: epiphany-2.30.2-1.fc13
Architecture: i686
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
1. Fire up epiphany
2. Go over to: http://www.java.com/en/download/help/testvm.xml
3. Observe epiphany pull a disappearing trick - poof! no epiphany any more!


Comment
-----
Fortunately, thanks to abrt, there is a backtrace :)
Comment 4 Robert Townley 2010-08-08 14:40:33 EDT
Package: epiphany-2.30.2-1.fc13
Architecture: i686
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
1.Use Epiphany to connect to a HP Integrated Lights Out (iLO) Remote Console.
2.Attempt to start Remote Console. 
3.Crash


Comment
-----
Absolutely positively need a completely separate browser for highly sensitive internal websites to prevent XSS / CSRF attacks.  Is the problem actually in IcedTea? This is a HP DL 380 G4.
Comment 5 Robert Townley 2010-08-08 14:49:33 EDT
www.javatester.org also crashes epiphany.

Doubt it is related, but a modal dialog box in one instance of Epiphany blocks other instances of epiphany.  For example, i open up 5 iLO webpages.  The first thing iLO pops up is a "OK" dialog box of supported browsers.  These 5 "OK" buttons, one for each instance of epiphany, have to be clicked in a specific order.  Otherwise, the other instances of epiphany are not responsive.
Comment 6 Bug Zapper 2011-06-02 10:07:50 EDT
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 7 Bug Zapper 2011-06-27 12:18:46 EDT
Fedora 13 changed to end-of-life (EOL) status on 2011-06-25. Fedora 13 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.